<?php
if ( !defined( "SAXUE_CORE_INCLUDE" ) ) {
		include "../core.php";
} 
saxue_checkpower();
include_once( SAXUE_DATA_PATH . "/version.php" );
include_once( SAXUE_ADMIN_PATH . "/header.php" );
mysql_connect( SAXUE_DB_HOST, SAXUE_DB_USER, SAXUE_DB_PASS );
$sysinfo = $license = array();
$sysinfo['os'] = PHP_OS;
$sysinfo['soft'] = $_SERVER['SERVER_SOFTWARE'];
$sysinfo['verphp'] = PHP_VERSION;
$sysinfo['vermysql'] = mysql_get_server_info();
$sysinfo['domain'] = $_SERVER['SERVER_NAME'];
$sysinfo['webdir'] = SAXUE_WEB_PATH;
$sysinfo['rootdir'] = SAXUE_ROOT_PATH;
$sysinfo['time'] = date( "Y-m-d H:i:s" );
$sysinfo['safe'] = 0;
if ( SAXUE_ADMIN_DIR == 'admin' || SAXUE_ADMIN_DIR == '' ) {
		$sysinfo['admin'] = 1;
		$sysinfo['safe'] = 1;
} else {
		$sysinfo['admin'] = 0;
}
if ( SAXUE_ROOT_PATH == SAXUE_WEB_PATH . '/SaxueFrame' ) {
		$sysinfo['saxueframe'] = 1;
		$sysinfo['safe'] = 1;
} else {
		$sysinfo['saxueframe'] = 0;
}
if ( is_dir( SAXUE_WEB_PATH . '/install' ) ) {
		$sysinfo['install'] = 1;
		$sysinfo['safe'] = 1;
} else {
		$sysinfo['install'] = 0;
}
$saxueTpl -> assign_by_ref( "sysinfo", $sysinfo );
$saxueTpl -> assign_by_ref( "license", $license );
$saxueTpl -> assign_by_ref( "ver", $saxueVersion );
$saxueTset['saxue_contents_template'] = SAXUE_ADMIN_PATH . "/templates/main.html";
include_once( SAXUE_ADMIN_PATH . "/footer.php" );
